## dcl 5.3.1

=== lib/Makefile ===
#
#       Makefile for lib
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../Mkinclude


install:
	@-if (test $(LIBDIR) != $(LLIBDIR)) then \
	$(CP) $(LDCLLIBFILE) $(DCLLIBFILE); \
	$(CP) $(LDBASEDIR)/* $(DBASEDIR); fi

clean: clean.local

distclean: clean.local clean.lib

clean.local:
	$(RM) *~

clean.lib:
	$(RM) $(LDCLLIBFILE)
	$(RM) $(LDBASEDIR)/*

=== demo/math1/Makefile ===
#
#       Makefile for math1
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../Mkinclude

SUBDIRS		= blklib chrlib fnclib gnmlib ifalib indxlib intlib \
		  lrllib oslib  rfalib rfblib sublib syslib vialib \
		  viblib vralib vrblib gt2dlib


all:
	@for i in $(SUBDIRS) ; do \
	  cd $$i ; \
	  echo "Making $$i" ; \
	  $(MAKE) ; \
	  cd .. ; \
	done

clean: clean.local clean.dir

clean.local:
	$(RM) *~

clean.dir:
	@for i in $(SUBDIRS) ; do \
	  cd $$i ; \
	  echo "Cleaning $$i" ; \
	  $(MAKE) clean ; \
	  cd .. ; \
	done

=== src/env2/Makefile ===
#
#       Makefile for env2
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#       

include ../../Mkinclude

SUBDIRS		= dcldate dclver dclexec dcltrf dclclr dcldbs \
		  dclfont dclpara dcltone dclcmap repsl pslib


all:
	@for i in $(SUBDIRS) ; do \
	  cd $$i ; \
	  echo "Making exec file for $$i" ; \
	  $(MAKE) ; \
	  cd .. ; \
	done

clean: clean.local clean.dir

clean.local:
	$(RM) *~

clean.dir:
	@for i in $(SUBDIRS) ; do \
	  cd $$i ; \
	  echo "Cleaning $$i" ; \
	  $(MAKE) clean ; \
	  cd .. ; \
	done

=== src/math1/Makefile ===
#
#       Makefile for math1
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../Mkinclude

SUBDIRS		= blklib chrlib ctrlib fnclib gnmlib ifalib indxlib \
		  intlib lrllib maplib oslib  rfalib rfblib sublib  \
		  syslib vialib viblib vralib vrblib xfclib gt2dlib


object:
	@for i in $(SUBDIRS) ; do \
	  cd $$i ; \
	  echo "Making object files in $$i" ; \
	  $(MAKE) object ; \
	  cd .. ; \
	done

library: archive ranlib

archive:
	@for i in $(SUBDIRS) ; do \
	  cd $$i ; \
	  echo "Archiving $$i" ; \
	  $(MAKE) archive ; \
	  cd .. ; \
	done

ranlib:
	$(RANLIB) $(LDCLLIBFILE)

clean: clean.local clean.dir

clean.local:
	$(RM) *~

clean.dir:
	@for i in $(SUBDIRS) ; do \
	  cd $$i ; \
	  echo "Cleaning $$i" ; \
	  $(MAKE) clean ; \
	  cd .. ; \
	done

=== demo/gokuraku/step/Makefile ===
#
#       Makefile for tugi (gokuraku)
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= tugi
LIBSRCS		= step1.f     step2.f
LIBDEMO		= step1       step2
LIBEXEC		= step1$(EXT) step2$(EXT)


all: $(LIBDEMO)

clean:
	$(RM) $(LIBEXEC) *.o *~ *.ps core *.trace

=== demo/grph1/slpack/Makefile ===
#
#       Makefile for slpack (demo)
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= slpack
LIBSRCS		= slpk01.f     slpk02.f     slpk03.f     slpk04.f
LIBDEMO 	= slpk01       slpk02       slpk03       slpk04
LIBEXEC 	= slpk01$(EXT) slpk02$(EXT) slpk03$(EXT) slpk04$(EXT)


all: $(LIBDEMO)

clean:
	$(RM) $(LIBEXEC) *.o *~ *.ps core *.trace

=== demo/math1/oslib/Makefile ===
#
#       Makefile for syslib (demo)
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= oslib
LIBSRCS		= oslb01.f     oslb02.f
LIBDEMO 	= oslb01       oslb02
LIBEXEC 	= oslb01$(EXT) oslb02$(EXT)


all: $(LIBDEMO)

clean:
	$(RM) $(LIBEXEC) *.o *~ core *.trace

=== demo/misc1/datelib/Makefile ===
#
#       Makefile for datelib (demo)
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= datelib
LIBSRCS		= date01.f     date02.f     date03.f     date04.f
LIBDEMO 	= date01       date02       date03       date04
LIBEXEC 	= date01$(EXT) date02$(EXT) date03$(EXT) date04$(EXT)


all: $(LIBDEMO)

clean:
	$(RM) $(LIBEXEC) *.o *~ core *.trace

=== demo/rakuraku/uspack/Makefile ===
#
#       Makefile for uspack (rakuraku)
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= uspack
LIBSRCS		= uspac1.f     uspac2.f     uspac3.f     uspac4.f
LIBDEMO		= uspac1       uspac2       uspac3       uspac4
LIBEXEC		= uspac1$(EXT) uspac2$(EXT) uspac3$(EXT) uspac4$(EXT)


all: $(LIBDEMO)

clean:
	$(RM) $(LIBEXEC) *.o *~ *.ps core *.trace

=== src/env1/fonts/Makefile ===
#
#       Makefile for fonts
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude


all: $(LDBASEDIR)/font1u $(LDBASEDIR)/font2u

$(LDBASEDIR)/font1u: font1u
	@echo "Installing font file font1u into local dcldbase directory"
	@$(CP) font1u $(LDBASEDIR)/font1u

$(LDBASEDIR)/font2u: font2u
	@echo "Installing font file font2u into local dcldbase"
	@$(CP) font2u $(LDBASEDIR)/font2u

font1u: cvfont font1n
	@echo "Creating font file font1u"
	@echo "'font1n' 'font1u'" | ./cvfont

font2u: cvfont font2n
	@echo "Creating font file font2u"
	@echo "'font2n' 'font2u'" | ./cvfont

cvfont: cvfont.f
	$(FC) $(FFLAGS) -o cvfont cvfont.f

clean:
	$(RM) *.o *~ cvfont$(EXT) core font1u font2u

=== src/math2/intrlib/Makefile ===
#
#       Makefile for intrlib
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= intrlib
LIBFSRCS	= vrintr.f vcintr.f
LIBCSRCS	=
LIBSRCS		= $(LIBFSRCS) $(LIBCSRCS)
LIBFOBJS	= vrintr.o vcintr.o
LIBCOBJS	=
LIBOBJS		= $(LIBFOBJS) $(LIBCOBJS)


object: $(LIBOBJS)

library: archive ranlib

archive:
	@$(AR) $(ARFLAGS) $(LDCLLIBFILE) $(LIBOBJS)

ranlib:
	$(RANLIB) $(LDCLLIBFILE)

clean:
	$(RM) *.o *~

## dcl 5.3.1-1

=== demo/Makefile ===
#
#       Makefile for demo
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../Mkinclude

SUBDIRS		= math1 misc1 grph1 math2 grph2 rakuraku gokuraku
 

all:
	@for i in $(SUBDIRS) ; do \
	  cd $$i ; \
	  echo "Making $$i/" ; \
	  $(MAKE) ; \
	  cd .. ; \
	done

clean: clean.local clean.dir

distclean: clean.local clean.dir

clean.local:
	$(RM) *~

clean.dir:
	@for i in $(SUBDIRS) ; do \
	  cd $$i ; \
	  echo "Cleaning $$i/" ; \
	  $(MAKE) clean ; \
	  cd .. ; \
	done

=== demo/misc2/Makefile ===
#
#       Makefile for misc2
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../Mkinclude

SUBDIRS		=


all:
	@for i in $(SUBDIRS) ; do \
	  cd $$i ; \
	  echo "Making $$i" ; \
	  $(MAKE) ; \
	  cd .. ; \
	done

clean: clean.local clean.dir

clean.local:
	$(RM) *~

clean.dir:
	@for i in $(SUBDIRS) ; do \
	  cd $$i ; \
	  echo "Cleaning $$i" ; \
	  $(MAKE) clean ; \
	  cd .. ; \
	done

=== debian/changelog ===
dcl (5.3.1-1) unstable; urgency=low

  * Initial Release.

 -- Odaka Masatsugu <odakker@gfd-dennou.org>  Thu, 14 Jul 2005 12:30:04 +0900

=== debian/control ===
Source: dcl
Section: math
Priority: optional
Maintainer: ODAKA Masatsugu <odakker@gfd-dennou.org>
Build-Depends: debhelper (>> 3.0.0)
Standards-Version: 3.5.2

Package: dcl-ffc5
Architecture: any
Depends: ${shlibs:Depends}, xlibs-dev (>=4.1.0)
Suggests: ffc (=5.0) | ffcpara (=5.0)
Description: GFD-DENNOU Club Library (DCL) compiled by Fujitsu Fortran & C Package ver.5.
 DCL is a package of graphic and mathematical libraries based on Fortran 77 developed by GFD-Dennou Club (http://www.gfd-dennou.org/).
 It contains following libraries.
 * visualization libraries: wide variety of 1D and 2D graphics and limited 3D graphics
 * mathematical libraries (FFT, Ordinary differential equation solver, Spherical harmonics analysis etc.)
 Original source codes can be downloaded from http://www.gfd-dennou.org/arch/dcl/.  

Package: dcl-util
Architecture: all
Suggests: dcl-ffc5, dcl-ffc4, dcl-g77, dcl-ifc6, dcl-ifc7, dcl-ifc8
Description: Utilities for GFD-DENNOU Club Library (DCL).
 Dvlop and demo programs and utilities for handling ps files produced by DCL.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. 
# GNU copyright 1997 by Joey Hess.
#
# This version is for a hypothetical package that builds an
# architecture-dependant package, as well as an architecture-independent
# package.

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=3

### Fujitsu Fortran & C compiler #######################################
#
EXT=ffc5
FC=frt
CC=fcc

### Intel Fortran compiler##############################################
### for ver.6, ver.7, and ver. 7.1
#EXT=ifc7
#FC=ifc
#CC=gcc
#FFLAGS=-O -Vaxlib -Qoption,ld,-Bdynamic
#
### for ver8 
#EXT=ifc8
#FC=ifort
#CC=gcc
#FFLAGS=-O -Qoption,ld,-Bdynamic

### GNU Fortran 77 compiler#############################################
#
#EXT=g77
#FC=g77
#CC=gcc

### Package and prefix name ############################################
# 
PACKAGE=dcl-$(EXT)
UTILPACKAGE=dcl-util
PREFIXLIB=dcl-5.3.1-$(EXT)

########################################################################


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

config.status: configure
	dh_testdir
	# Add here commands to configure the package.
	#./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info
	(export CC=$(CC) ; export FC=$(FC) ; export FFLAGS='$(FFLAGS)' ; ./configure --prefix=/usr/lib/$(PREFIXLIB))
	

build-arch:  config.status build-arch-stamp
build-arch-stamp:
	dh_testdir

	# Add here command to compile/build the package.
	$(MAKE)

	touch build-arch-stamp

build-indep: config.status  build-indep-stamp
build-indep-stamp:
	dh_testdir

	# Add here command to compile/build the arch indep package.
	# It's ok not to do anything here, if you don't need to build
	#  anything for this package.
	#/usr/bin/docbook-to-man debian/dcl.sgml > dcl.1

	touch build-indep-stamp

build: build-arch build-indep

clean:
	dh_testdir
	dh_testroot
	rm -f build-arch-stamp 
	rm -f build-indep-stamp 

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean
	-test -r /usr/share/misc/config.sub && \
	  cp -f /usr/share/misc/config.sub config.sub
	-test -r /usr/share/misc/config.guess && \
	  cp -f /usr/share/misc/config.guess config.guess

	dh_clean

install: DH_OPTIONS=
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs usr/lib/$(PREFIXLIB)/bin usr/lib/$(PREFIXLIB)/lib

	# Add here commands to install the package into debian/dcl.
	$(MAKE) install prefix=$(CURDIR)/debian/dcl-$(EXT)/usr/lib/$(PREFIXLIB)

	dh_movefiles --sourcedir=debian/dcl-$(EXT)

# Build architecture-independent files here.
# Pass -i to all debhelper commands in this target to reduce clutter.
binary-indep: build install
	dh_installdirs -p$(UTILPACKAGE) -Pdebian/dcl-util usr/bin
	(cd dvlop/pslib && $(MAKE) install prefix=../../debian/dcl-util/usr)
	dh_installdocs -p$(UTILPACKAGE) -Pdebian/dcl-util demo dvlop
	dh_installdeb -p$(UTILPACKAGE) -Pdebian/dcl-util
	dpkg-gencontrol -isp -p$(UTILPACKAGE) -Pdebian/dcl-util
	chown -R root.root debian/dcl-util
	chmod -R go=rX debian/dcl-util
	dpkg --build debian/dcl-util ..

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir -a
	dh_testroot -a
#	dh_installdebconf -a
	dh_installdocs -a
	dh_installexamples -a
	dh_installmenu -a
#	dh_installlogrotate -a
#	dh_installemacsen -a
#	dh_installpam -a
#	dh_installmime -a
#	dh_installinit -a
	dh_installcron -a
#	dh_installman -a
	dh_installinfo -a
#	dh_undocumented -a
	dh_installchangelogs  -a
	dh_link usr/lib/$(PREFIXLIB)/bin/dclfrt  usr/bin/dclfrt.$(EXT)  \
                usr/lib/$(PREFIXLIB)/bin/dclcc   usr/bin/dclcc.$(EXT)   \
                usr/lib/$(PREFIXLIB)/bin/dcldate usr/bin/dcldate.$(EXT) \
                usr/lib/$(PREFIXLIB)/bin/dclexec usr/bin/dclexec.$(EXT) \
                usr/lib/$(PREFIXLIB)/bin/dcltone usr/bin/dcltone.$(EXT) \
                usr/lib/$(PREFIXLIB)/bin/dclver  usr/bin/dclver.$(EXT)  \
                usr/lib/$(PREFIXLIB)/bin/dclclr  usr/bin/dclclr.$(EXT)  \
                usr/lib/$(PREFIXLIB)/bin/dcldbs  usr/bin/dcldbs.$(EXT)  \
                usr/lib/$(PREFIXLIB)/bin/dclfont usr/bin/dclfont.$(EXT) \
                usr/lib/$(PREFIXLIB)/bin/dclpara usr/bin/dclpara.$(EXT) \
                usr/lib/$(PREFIXLIB)/bin/dcltrf  usr/bin/dcltrf.$(EXT)  \
                usr/lib/$(PREFIXLIB)/bin/repsl   usr/bin/repsl.$(EXT)
	dh_strip -a
	dh_link -a
	dh_compress -a
	dh_fixperms -a
#	dh_makeshlibs -a
	dh_installdeb -a
#	dh_perl -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-arch binary-indep 
.PHONY: build clean binary-indep binary-arch binary install

## dcl 5.3.3

=== dvlop/pslib/Makefile ===
#
#       Makefile for pslib
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../Mkinclude

CMD =	dclps2kdraw \
	dclpscat \
	dclpsfix \
	dclpsfont \
	dclpsline \
	dclpsmerge \
	dclpsrmcm \
	dclpsrot \
	dclpsselect \
	dclpsseparate \
	dclpsunrot

all:

install: 
	@for i in $(CMD) ; do \
	  echo "Installing " $$i; \
	  $(SED) "s^/usr/local/bin/gawk^$(AWK)^" $$i > $(BINDIR)/$$i ; \
	  chmod +x $(BINDIR)/$$i ; \
	done

clean:
	$(RM) *~

=== demo/gokuraku/u1d/Makefile ===
#
#       Makefile for u1d (gokuraku)
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= u1d
LIBSRCS		= u1d1.f     u1d2.f
LIBDEMO		= u1d1       u1d2
LIBEXEC		= u1d1$(EXT) u1d2$(EXT)


all: $(LIBDEMO)

clean:
	$(RM) $(LIBEXEC) *.o *~ *.ps core *.trace

=== demo/math2/intrlib/Makefile ===
#
#       Makefile for intrlib (demo)
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= intrlib
LIBSRCS		= intr01.f
LIBDEMO 	= intr01
LIBEXEC 	= intr01$(EXT)


all: $(LIBDEMO)

clean:
	$(RM) $(LIBEXEC) *.o *~ core *.trace

## dcl 5.3.3r1

=== demo/grph2/uupack/Makefile ===
#
#       Makefile for uupack (demo)
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= uupack
LIBSRCS		= uupk01.f     uupk02.f     uupk03.f     uupk04.f     \
		  uupk05.f     uupk06.f     uupk07.f
LIBDEMO		= uupk01       uupk02       uupk03       uupk04       \
		  uupk05       uupk06       uupk07
LIBEXEC		= uupk01$(EXT) uupk02$(EXT) uupk03$(EXT) uupk04$(EXT) \
		  uupk05$(EXT) uupk06$(EXT) uupk07$(EXT)  


all: $(LIBDEMO)

clean:
	$(RM) $(LIBEXEC) *.o *~ *.ps core *.trace

=== src/grph2/uipack/Makefile ===
#
#       Makefile for uhpack
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= uipack
LIBFSRC         = uic2d.f uiconv.f uicrgb.f uifpac.f uiiget.f uiiqnp.f  \
                  uilget.f uilqnp.f uipcmp.f uipda2.f uipdat.f uipdaz.f \
                  uiqfnm.f uirget.f uirqnp.f uixbar.f uiybar.f
LIBCSRCS	=
LIBSRCS		= $(LIBFSRCS) $(LIBCSRCS)
LIBFOBJS         = uic2d.o uiconv.o uicrgb.o uifpac.o uiiget.o uiiqnp.o  \
                  uilget.o uilqnp.o uipcmp.o uipda2.o uipdat.o uipdaz.o \
                  uiqfnm.o uirget.o uirqnp.o uixbar.o uiybar.o
LIBCOBJS	=
LIBOBJS		= $(LIBFOBJS) $(LIBCOBJS)


object: $(LIBOBJS)

library: archive ranlib

archive:
	@$(AR) $(ARFLAGS) $(LDCLLIBFILE) $(LIBOBJS)

ranlib:
	$(RANLIB) $(LDCLLIBFILE)

clean:
	$(RM) *.o *~

=== debian/changelog ===
dcl (5.3.3r1-1) unstable; urgency=low

  * New upstream: 5.3.3r1

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Sat, 21 Aug 2010 10:28:08 +0900

dcl (5.3.3-6) unstable; urgency=low

  * Add Dpened: libgtk2.0-0

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Fri, 10 Jul 2009 17:57:31 +0900

dcl (5.3.3-5) unstable; urgency=low

  * Separate package:
    * dcl-f77: metapackage
    * libf77dcl5: shared library
    * libf77dcl-dev: static library, command
    * dcl-f77-utils: postprocessing awk scripts
    * dcl-f77-docs: documents and demo programs

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Wed, 08 Jul 2009 22:33:08 +0900

dcl (5.3.3-4) unstable; urgency=low

  * add Depends: libgtk2.0-dev, libglib2.0-dev, libx11-dev 

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Fri, 28 Mar 2008 09:50:52 +0900

dcl (5.3.3-3) unstable; urgency=low

  * modified unstaisfied dependencies. 

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Mon, 24 Mar 2008 16:40:01 +0900

dcl (5.3.3-2) unstable; urgency=low

  * add dcl-g95

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Mon, 17 Mar 2008 18:57:49 +0900

dcl (5.3.3-1) unstable; urgency=low

  * New upstream release
    * reconstruct packaging design
      * using CDBS
      * single source produces multi packages.

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Mon,  3 Mar 2008 17:20:32 +0900

## dcl 5.3.3r3

=== demo/grph2/uipack/Makefile ===
#
#       Makefile for uipack (demo)
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= uipack
LIBSRCS		= uipk01.f     uipk02.f 
LIBDEMO 	= uipk01       uipk02
LIBEXEC 	= uipk01$(EXT) uipk02$(EXT)


all: $(LIBDEMO)

clean:
	$(RM) $(LIBEXEC) *.o *~ *.ps core *.trace

=== src/grph1/sgpack/Makefile ===
#
#       Makefile for sgpack
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= sgpack
LIBFSRCS	= sgopn.f  sgiget.f sgiqnp.f sglget.f sglqnp.f sgrget.f \
		  sgrqnp.f sgpget.f sgpqnp.f sgoopn.f sgpwsn.f sgsvpt.f \
		  sgswnd.f sgssim.f sgsmpl.f sgstxy.f sgstrn.f sgstrf.f \
		  sgtrqf.f isgtrc.f sgplu.f  sgplzu.f sgplzv.f sgplzr.f \
		  sgpmu.f  sgpmzu.f sgpmzv.f sgpmzr.f sgtxu.f  sgtxzu.f \
		  sgtxzv.f sgtxzr.f sgtnu.f  sgtnzu.f sgtnzv.f sgtnzr.f \
		  sglnu.f  sglnzu.f sglnzv.f sglnzr.f sglau.f  sglazu.f \
		  sglazv.f sglazr.f sgsplc.f sgpcmd.f sgscmn.f sgscwd.f \
                  mpfmil.f mpfrbs.f mpfsin.f mpfplc.f mpfgno.f mpfvdg.f \
                  mpnwtn.f mpfcct.f mpfcya.f mpfcyb.f mpfglb.f mpfcyc.f \
                  sglaxr.f sglaxu.f sglaxv.f sglnxr.f sglnxu.f sglnxv.f \
                  sgplxr.f sgplxu.f sgplxv.f sgpmxr.f sgpmxu.f sgpmxv.f \
                  sgtnxr.f sgtnxu.f sgtnxv.f sgtxxr.f sgtxxu.f sgtxxv.f \
                  mpfpt2.f isgrgb.f 
LIBCSRCS	=
LIBSRCS		= $(LIBFSRCS) $(LIBCSRCS)
LIBFOBJS	= sgopn.o  sgiget.o sgiqnp.o sglget.o sglqnp.o sgrget.o \
		  sgrqnp.o sgpget.o sgpqnp.o sgoopn.o sgpwsn.o sgsvpt.o \
		  sgswnd.o sgssim.o sgsmpl.o sgstxy.o sgstrn.o sgstrf.o \
		  sgtrqf.o isgtrc.o sgplu.o  sgplzu.o sgplzv.o sgplzr.o \
		  sgpmu.o  sgpmzu.o sgpmzv.o sgpmzr.o sgtxu.o  sgtxzu.o \
		  sgtxzv.o sgtxzr.o sgtnu.o  sgtnzu.o sgtnzv.o sgtnzr.o \
		  sglnu.o  sglnzu.o sglnzv.o sglnzr.o sglau.o  sglazu.o \
		  sglazv.o sglazr.o sgsplc.o sgpcmd.o sgscmn.o sgscwd.o \
                  mpfmil.o mpfrbs.o mpfsin.o mpfplc.o mpfgno.o mpfvdg.o \
                  mpnwtn.o mpfcct.o mpfcya.o mpfcyb.o mpfglb.o mpfcyc.o \
                  sglaxr.o sglaxu.o sglaxv.o sglnxr.o sglnxu.o sglnxv.o \
                  sgplxr.o sgplxu.o sgplxv.o sgpmxr.o sgpmxu.o sgpmxv.o \
                  sgtnxr.o sgtnxu.o sgtnxv.o sgtxxr.o sgtxxu.o sgtxxv.o \
                  mpfpt2.o isgrgb.o 
LIBCOBJS	=
LIBOBJS		= $(LIBFOBJS) $(LIBCOBJS)


object: $(LIBOBJS)

library: archive ranlib

archive:
	@$(AR) $(ARFLAGS) $(LDCLLIBFILE) $(LIBOBJS)

ranlib:
	$(RANLIB) $(LDCLLIBFILE)

clean:
	$(RM) *.o *~

=== src/grph1/stpack/Makefile ===
#
#       Makefile for stpack
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= stpack
LIBFSRCS	= stftrf.f stftrn.f stfrot.f stfrad.f \
		  stfwtr.f stfpr3.f stftr3.f ststrn.f stnusr.f
LIBCSRCS	=
LIBSRCS		= $(LIBFSRCS) $(LIBCSRCS)
LIBFOBJS	= stftrf.o stftrn.o stfrot.o stfrad.o \
		  stfwtr.o stfpr3.o stftr3.o ststrn.o stnusr.o
LIBCOBJS	=
LIBOBJS		= $(LIBFOBJS) $(LIBCOBJS)


object: $(LIBOBJS)

library: archive ranlib

archive:
	@$(AR) $(ARFLAGS) $(LDCLLIBFILE) $(LIBOBJS)

ranlib:
	$(RANLIB) $(LDCLLIBFILE)

clean:
	$(RM) *.o *~

=== debian/changelog ===
dcl (5.3.3r3-5) unstable; urgency=low

  * Add Depends: gfortran

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Thu, 03 Feb 2011 11:38:14 +0900

dcl (5.3.3r3-4) unstable; urgency=low

  * remove unused files

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Thu, 03 Feb 2011 06:26:34 +0900

dcl (5.3.3r3-3) unstable; urgency=low

  * Add colormap support

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Thu, 03 Feb 2011 06:18:45 +0900

dcl (5.3.3r3-2) unstable; urgency=low

  * update dclpsrot 

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Fri, 24 Sep 2010 16:06:20 +0900

dcl (5.3.3r3-1) unstable; urgency=low

  * Imported Upstream version 5.3.3-r3

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Sat, 21 Aug 2010 17:44:11 +0900

=== debian/control ===
Source: dcl
Section: science
Priority: optional
Maintainer: Youhei SASAKI <uwabami@gfd-dennou.org>
Build-Depends: cdbs, debhelper (>= 5), autotools-dev, libx11-dev, libgtk2.0-dev, libglib2.0-dev, gfortran, quilt (>= 0.40), chrpath
Standards-Version: 3.9.1
Homepage: http://www.gfd-dennou.org/arch/dcl/

Package: dcl-f77
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libf77dcl-dev
Suggests: dcl-f77-docs, dcl-f77-utils
Conflicts: dcl-gfortran, dcl-g77
Replaces: dcl-gfortran, dcl-g77
Description: GFD-DENNOU Club Library compiled by GNU Fortran compiler
 GFD-DENNOU Club Library (DCL) is a package of graphic and mathematical 
 libraries based on Fortran 77 developed by GFD-Dennou Club,
 see http://www.gfd-dennou.org/.
  It contains following libraries.
   * visualization libraries: 
     wide variety of 1D and 2D graphics and limited 3D graphics
   * mathematical libraries
     FFT, Ordinary differential equation solver, Spherical harmonics analysis
     etc.
 This package is metapackage to install libf77dcl-dev


Package: libf77dcl-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends}, ${misc:Depends}, libf77dcl5 (= ${binary:Version}), libgtk2.0-0, gfortran
Conflicts: dcl-util
Provides: dcl-util
Replaces: dcl-util
Suggests: dcl-f77-docs, dcl-f77-utils
Description: GFD-DENNOU Club Library compiled by GNU Fortran compiler
 GFD-DENNOU Club Library (DCL) is a package of graphic and mathematical 
 libraries based on Fortran 77 developed by GFD-Dennou Club,
 see http://www.gfd-dennou.org/.
  It contains following libraries.
   * visualization libraries: 
     wide variety of 1D and 2D graphics and limited 3D graphics
   * mathematical libraries
     FFT, Ordinary differential equation solver, Spherical harmonics analysis
     etc.
 This package provides static library, header files, wrapper scripts.

Package: libf77dcl5
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: GFD-DENNOU Club Library compiled by GNU Fortran compiler
 GFD-DENNOU Club Library (DCL) is a package of graphic and mathematical 
 libraries based on Fortran 77 developed by GFD-Dennou Club,
 see http://www.gfd-dennou.org/.
  It contains following libraries.
   * visualization libraries: 
     wide variety of 1D and 2D graphics and limited 3D graphics
   * mathematical libraries
     FFT, Ordinary differential equation solver, Spherical harmonics analysis
     etc.
 This package provides shared library, database files.

Package: dcl-f77-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${shlibs:Depends}, ${misc:Depends}, libf77dcl5 (= ${binary:Version})
Suggests: gdb
Description: GFD-DENNOU Club Library compiled by GNU Fortran compiler
 GFD-DENNOU Club Library (DCL) is a package of graphic and mathematical 
 libraries based on Fortran 77 developed by GFD-Dennou Club,
 see http://www.gfd-dennou.org/.
  It contains following libraries.
   * visualization libraries: 
     wide variety of 1D and 2D graphics and limited 3D graphics
   * mathematical libraries
     FFT, Ordinary differential equation solver, Spherical harmonics analysis
     etc.
 This package provides debug symbols for dcl-f77

Package: dcl-f77-utils
Architecture: all
Section: graphics
Depends: ${shlibs:Depends}, ${misc:Depends}, mawk
Suggests: dcl-f77-docs
Description: GFD-DENNOU Club Library compiled by GNU Fortran compiler
 GFD-DENNOU Club Library (DCL) is a package of graphic and mathematical 
 libraries based on Fortran 77 developed by GFD-Dennou Club,
 see http://www.gfd-dennou.org/.
  It contains following libraries.
   * visualization libraries: 
     wide variety of 1D and 2D graphics and limited 3D graphics
   * mathematical libraries
     FFT, Ordinary differential equation solver, Spherical harmonics analysis
     etc.
 This package provides post-processing scripts for output images.

Package: dcl-f77-docs
Architecture: all
Section: doc
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: libf77dcl-dev, dcl-f77-utils
Description: GFD-DENNOU Club Library compiled by GNU Fortran compiler
 GFD-DENNOU Club Library (DCL) is a package of graphic and mathematical 
 libraries based on Fortran 77 developed by GFD-Dennou Club,
 see http://www.gfd-dennou.org/.
  It contains following libraries.
   * visualization libraries: 
     wide variety of 1D and 2D graphics and limited 3D graphics
   * mathematical libraries
     FFT, Ordinary differential equation solver, Spherical harmonics analysis
     etc.
 This package provides document and demo programs.

## dcl 5.3.4.2

=== src/grph1/sgpack/Makefile ===
#
#       Makefile for sgpack
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= sgpack
LIBFSRCS	= sgopn.f  sgiget.f sgiqnp.f sglget.f sglqnp.f sgrget.f \
		  sgrqnp.f sgpget.f sgpqnp.f sgoopn.f sgpwsn.f sgsvpt.f \
		  sgswnd.f sgssim.f sgsmpl.f sgstxy.f sgstrn.f sgstrf.f \
		  sgtrqf.f isgtrc.f sgplu.f  sgplzu.f sgplzv.f sgplzr.f \
		  sgpmu.f  sgpmzu.f sgpmzv.f sgpmzr.f sgtxu.f  sgtxzu.f \
		  sgtxzv.f sgtxzr.f sgtnu.f  sgtnzu.f sgtnzv.f sgtnzr.f \
		  sglnu.f  sglnzu.f sglnzv.f sglnzr.f sglau.f  sglazu.f \
		  sglazv.f sglazr.f sgsplc.f sgpcmd.f sgscmn.f sgscwd.f
IBCSRCS	=
LIBSRCS		= $(LIBFSRCS) $(LIBCSRCS)
LIBFOBJS	= sgopn.o  sgiget.o sgiqnp.o sglget.o sglqnp.o sgrget.o \
		  sgrqnp.o sgpget.o sgpqnp.o sgoopn.o sgpwsn.o sgsvpt.o \
		  sgswnd.o sgssim.o sgsmpl.o sgstxy.o sgstrn.o sgstrf.o \
		  sgtrqf.o isgtrc.o sgplu.o  sgplzu.o sgplzv.o sgplzr.o \
		  sgpmu.o  sgpmzu.o sgpmzv.o sgpmzr.o sgtxu.o  sgtxzu.o \
		  sgtxzv.o sgtxzr.o sgtnu.o  sgtnzu.o sgtnzv.o sgtnzr.o \
		  sglnu.o  sglnzu.o sglnzv.o sglnzr.o sglau.o  sglazu.o \
		  sglazv.o sglazr.o sgsplc.o sgpcmd.o sgscmn.o sgscwd.o

IBCOBJS	=
LIBOBJS		= $(LIBFOBJS) $(LIBCOBJS)


object: $(LIBOBJS)

library: archive ranlib

archive:
	@$(AR) $(ARFLAGS) $(LDCLLIBFILE) $(LIBOBJS)

ranlib:
	$(RANLIB) $(LDCLLIBFILE)

clean:
	$(RM) *.o *~

=== src/grph2/uepack/Makefile ===
#
#       Makefile for uepack
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= uepack
LIBFSRCS	= uetone.f uetonf.f uetonc.f uezchk.f uegtla.f uegtlb.f \
		  ueitlv.f uestln.f iueton.f uearea.f ueiget.f ueiqnp.f \
		  uelget.f uelqnp.f uerget.f uerqnp.f uepget.f uepqnp.f \
		  uetonb.f
LIBCSRCS	=
LIBSRCS		= $(LIBFSRCS) $(LIBCSRCS)
LIBFOBJS	= uetone.o uetonf.o uetonc.o uezchk.o uegtla.o uegtlb.o \
		  ueitlv.o uestln.o iueton.o uearea.o ueiget.o ueiqnp.o \
		  uelget.o uelqnp.o uerget.o uerqnp.o uepget.o uepqnp.o \
		  uetonb.o
LIBCOBJS	=
LIBOBJS		= $(LIBFOBJS) $(LIBCOBJS)


object: $(LIBOBJS)

library: archive ranlib

archive:
	@$(AR) $(ARFLAGS) $(LDCLLIBFILE) $(LIBOBJS)

ranlib:
	$(RANLIB) $(LDCLLIBFILE)

clean:
	$(RM) *.o *~

=== debian/changelog ===
dcl (5.3.4.2-1) unstable; urgency=low

  * Imported Upstream version 5.3.4.2

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Fri, 25 Feb 2011 11:03:38 +0900

dcl (5.3.4-1) unstable; urgency=low

  * New upstream version: 5.3.4
  * Add Depends: gfortran
  * drop unused patch: committed upstream
  * change rules: use dh instead of CDBS

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Sun, 13 Feb 2011 23:04:47 +0900

=== debian/control ===
Source: dcl
Section: science
Priority: optional
Maintainer: Youhei SASAKI <uwabami@gfd-dennou.org>
Build-Depends: debhelper (>= 7.0.50~), quilt (>= 0.46-7~), autotools-dev, libx11-dev, libgtk2.0-dev, libglib2.0-dev, gfortran, chrpath
Standards-Version: 3.9.1
Homepage: http://www.gfd-dennou.org/arch/dcl/

Package: dcl-f77
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libf77dcl-dev
Suggests: dcl-f77-docs, dcl-f77-utils
Conflicts: dcl-gfortran, dcl-g77
Replaces: dcl-gfortran, dcl-g77
Description: GFD-DENNOU Club Library compiled by GNU Fortran compiler
 GFD-DENNOU Club Library (DCL) is a package of graphic and mathematical
 libraries based on Fortran 77 developed by GFD-Dennou Club,
 see http://www.gfd-dennou.org/.
  It contains following libraries.
   * visualization libraries:
     wide variety of 1D and 2D graphics and limited 3D graphics
   * mathematical libraries
     FFT, Ordinary differential equation solver, Spherical harmonics analysis
     etc.
 .
 This package is metapackage to install libf77dcl-dev


Package: libf77dcl-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends}, ${misc:Depends}, libf77dcl5 (= ${binary:Version}), libgtk2.0-dev, gfortran
Conflicts: dcl-util
Provides: dcl-util
Replaces: dcl-util
Suggests: dcl-f77-docs, dcl-f77-utils
Description: GFD-DENNOU Club Library compiled by GNU Fortran compiler
 GFD-DENNOU Club Library (DCL) is a package of graphic and mathematical
 libraries based on Fortran 77 developed by GFD-Dennou Club,
 see http://www.gfd-dennou.org/.
  It contains following libraries.
   * visualization libraries:
     wide variety of 1D and 2D graphics and limited 3D graphics
   * mathematical libraries
     FFT, Ordinary differential equation solver, Spherical harmonics analysis
     etc.
 .
 This package provides static library, header files, wrapper scripts.

Package: libf77dcl5
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: GFD-DENNOU Club Library compiled by GNU Fortran compiler
 GFD-DENNOU Club Library (DCL) is a package of graphic and mathematical
 libraries based on Fortran 77 developed by GFD-Dennou Club,
 see http://www.gfd-dennou.org/.
  It contains following libraries.
   * visualization libraries:
     wide variety of 1D and 2D graphics and limited 3D graphics
   * mathematical libraries
     FFT, Ordinary differential equation solver, Spherical harmonics analysis
     etc.
 .
 This package provides shared library, database files.

Package: dcl-f77-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${shlibs:Depends}, ${misc:Depends}, libf77dcl5 (= ${binary:Version})
Suggests: gdb
Description: GFD-DENNOU Club Library compiled by GNU Fortran compiler
 GFD-DENNOU Club Library (DCL) is a package of graphic and mathematical
 libraries based on Fortran 77 developed by GFD-Dennou Club,
 see http://www.gfd-dennou.org/.
  It contains following libraries.
   * visualization libraries:
     wide variety of 1D and 2D graphics and limited 3D graphics
   * mathematical libraries
     FFT, Ordinary differential equation solver, Spherical harmonics analysis
     etc.
 .
 This package provides debug symbols for dcl-f77

Package: dcl-f77-utils
Architecture: all
Section: graphics
Depends: ${shlibs:Depends}, ${misc:Depends}, mawk
Suggests: dcl-f77-docs
Description: GFD-DENNOU Club Library compiled by GNU Fortran compiler
 GFD-DENNOU Club Library (DCL) is a package of graphic and mathematical
 libraries based on Fortran 77 developed by GFD-Dennou Club,
 see http://www.gfd-dennou.org/.
  It contains following libraries.
   * visualization libraries:
     wide variety of 1D and 2D graphics and limited 3D graphics
   * mathematical libraries
     FFT, Ordinary differential equation solver, Spherical harmonics analysis
     etc.
 .
 This package provides post-processing scripts for output images.

Package: dcl-f77-docs
Architecture: all
Section: doc
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: libf77dcl-dev, dcl-f77-utils
Description: GFD-DENNOU Club Library compiled by GNU Fortran compiler
 GFD-DENNOU Club Library (DCL) is a package of graphic and mathematical
 libraries based on Fortran 77 developed by GFD-Dennou Club,
 see http://www.gfd-dennou.org/.
  It contains following libraries.
   * visualization libraries:
     wide variety of 1D and 2D graphics and limited 3D graphics
   * mathematical libraries
     FFT, Ordinary differential equation solver, Spherical harmonics analysis
     etc.
 .
 This package provides document and demo programs.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with quilt

override_dh_auto_configure:
	FC=/usr/bin/gfortran FFLAGS="-fPIC -g -Wall -O2 " \
	CC=/usr/bin/gcc CFLAGS="-fPIC -g -Wall -O2 -lgfortran"  \
	  dh_auto_configure -- --enable-shared --prefix=/usr

override_dh_auto_clean:
	[ ! -f Mkinclude ] || $(MAKE) distclean
	dh_auto_clean

override_dh_auto_install:
	mkdir -p $(CURDIR)/debian/tmp/usr
	dh_auto_install -- prefix=$(CURDIR)/debian/tmp/usr
	rm debian/tmp/usr/bin/dclconfig
	find debian/tmp/usr/bin -type f \
		! -name "*dclps*"             \
		! -name "dclcc"               \
		! -name "dclfrt"              \
		! -name "dclconfig*"          \
		| xargs chrpath -d
	for f in `find debian/tmp/usr/bin/ ! -type d ` ; do \
		mv $$f debian/tmp/usr/bin/`basename $$f`-f77 ;\
	done
	rm debian/tmp/usr/bin/dclfrt-f77
	cp debian/dclfrt debian/tmp/usr/bin/dclfrt-f77
	chmod 755 debian/tmp/usr/bin/dclfrt-f77
	rm debian/tmp/usr/bin/dclcc-f77
	cp debian/dclcc debian/tmp/usr/bin/dclcc-f77
	chmod 755  debian/tmp/usr/bin/dclcc-f77

override_dh_install:
	dh_install --sourcedir=debian/tmp

override_dh_compress:
	dh_compress -X.png -X.f -X.dat

override_dh_installchengelogs:
	dh_installchangelogs --keep HISTORY 

override_dh_installdocs:
	dh_installdocs -A README CREDITS

override_dh_makeshlibs:
	dh_makeshlibs -V 'libf77dcl5 (>= 5.3.4)'

.PHONY: override_dh_strip
override_dh_strip:
	dh_strip --dbg-package=dcl-f77-dbg

## dcl 5.4.2

=== debian/changelog ===
dcl (5.4.2-1) unstable; urgency=low

  * New Upstream version 5.4.2
  * Add watch file
  * Multiarch support
  * Change patch handling: using gbp-pq

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Tue, 31 Jan 2012 13:56:55 +0900

dcl (5.4.0-1) unstable; urgency=low

  * New upstream release

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Sat, 28 Jan 2012 18:28:27 +0900

dcl (5.3.4.2-2) unstable; urgency=low

  * fix missing dclconfig's alternative(Thx katon)

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Sun, 11 Sep 2011 21:47:25 +0900

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
export DH_OPTIONS
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@

override_dh_auto_configure:
	FC=/usr/bin/gfortran FFLAGS="-fPIC -g -Wall -O2 " CC=/usr/bin/gcc CFLAGS="-fPIC -g -Wall -O2 -lgfortran"  \
	  dh_auto_configure -- --enable-shared --prefix=/usr
	sed 's/$$(DEB_HOST_MULTIARCH)/$(DEB_HOST_MULTIARCH)/' $(CURDIR)/debian/libf77dcl5.install.in > $(CURDIR)/debian/libf77dcl5.install
	sed 's/$$(DEB_HOST_MULTIARCH)/$(DEB_HOST_MULTIARCH)/' $(CURDIR)/debian/libf77dcl-dev.install.in > $(CURDIR)/debian/libf77dcl-dev.install

override_dh_auto_install:
	mkdir -p $(CURDIR)/debian/tmp/usr
	dh_auto_install -- prefix=$(CURDIR)/debian/tmp/usr
	rm debian/tmp/usr/bin/dclconfig
	find debian/tmp/usr/bin -type f   \
		! -name "*dclps*"             \
		! -name "dclcc"               \
		! -name "dclfrt"              \
		! -name "dclconfig*"          \
		| xargs chrpath -d
	for f in `find debian/tmp/usr/bin/ ! -type d ` ; do \
		mv $$f debian/tmp/usr/bin/`basename $$f`-f77 ;\
	done
	rm debian/tmp/usr/bin/dclfrt-f77 ; cp debian/dclfrt debian/tmp/usr/bin/dclfrt-f77 ; chmod 755 debian/tmp/usr/bin/dclfrt-f77
	rm debian/tmp/usr/bin/dclcc-f77  ; cp debian/dclcc debian/tmp/usr/bin/dclcc-f77   ; chmod 755  debian/tmp/usr/bin/dclcc-f77
	$(CC) -shared -Wl,-soname,libf77dcl.so.5 -o $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libf77dcl.so.5.4.0 `find $(CURDIR) -name \*.o` 
	( cd $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH) ; ln -s libf77dcl.so.5.4.0 libf77dcl.so.5 )
	( cd $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH) ; ln -s libf77dcl.so.5.4.0 libf77dcl.so )

override_dh_install:
	dh_install --sourcedir=debian/tmp

override_dh_auto_clean:
	[ ! -f Mkinclude ] || $(MAKE) distclean
	dh_auto_clean
	rm -f $(CURDIR)/lib/lib*.so
	rm -f $(CURDIR)/lib/lib*.so.*
	rm -f debian/libf77dcl5.install
	rm -f debian/libf77dcl-dev.install

override_dh_compress:
	dh_compress -X.png -X.f -X.dat

override_dh_installchengelogs:
	dh_installchangelogs --keep HISTORY

override_dh_installdocs:
	dh_installdocs -A README CREDITS

.PHONY: override_dh_strip
override_dh_strip:
	dh_strip --dbg-package=libf77dcl5-dbg

## dcl 5.4.6

=== debian/changelog ===
dcl (5.4.6-1) unstable; urgency=low

  * Update watch file
  * Imported Upstream version 5.4.6

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Mon, 19 Nov 2012 19:23:07 +0900

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,18 @@
 Section: science
 Priority: optional
 Maintainer: Youhei SASAKI <uwabami@gfd-dennou.org>
-Build-Depends: debhelper (>= 7.0.50~), quilt (>= 0.46-7~), autotools-dev, libx11-dev, libgtk2.0-dev, libglib2.0-dev, gfortran, chrpath
-Standards-Version: 3.9.1
+Build-Depends: debhelper (>= 7.1.13~),
+  autotools-dev, libx11-dev, libgtk2.0-dev, libglib2.0-dev, gfortran, chrpath
+Standards-Version: 3.9.2
 Homepage: http://www.gfd-dennou.org/arch/dcl/
 
 Package: dcl-f77
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, libf77dcl-dev
-Suggests: dcl-f77-docs, dcl-f77-utils
+Section: libs
+Multi-Arch: same
+Pre-Depends: multiarch-support
+Suggests: dcl-f77-utils
 Conflicts: dcl-gfortran, dcl-g77
 Replaces: dcl-gfortran, dcl-g77
 Description: GFD-DENNOU Club Library compiled by GNU Fortran compiler
@@ -29,11 +33,14 @@
 Package: libf77dcl-dev
 Architecture: any
 Section: libdevel
-Depends: ${shlibs:Depends}, ${misc:Depends}, libf77dcl5 (= ${binary:Version}), libgtk2.0-dev, gfortran
+Multi-Arch: same
+Pre-Depends: multiarch-support
+Depends: ${shlibs:Depends}, ${misc:Depends},
+  libf77dcl5 (= ${binary:Version}), libgtk2.0-dev, gfortran
 Conflicts: dcl-util
 Provides: dcl-util
 Replaces: dcl-util
-Suggests: dcl-f77-docs, dcl-f77-utils
+Suggests: dcl-f77-utils
 Description: GFD-DENNOU Club Library compiled by GNU Fortran compiler
  GFD-DENNOU Club Library (DCL) is a package of graphic and mathematical
  libraries based on Fortran 77 developed by GFD-Dennou Club,
@@ -50,6 +57,8 @@
 Package: libf77dcl5
 Architecture: any
 Section: libs
+Multi-Arch: same
+Pre-Depends: multiarch-support
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: GFD-DENNOU Club Library compiled by GNU Fortran compiler
  GFD-DENNOU Club Library (DCL) is a package of graphic and mathematical
@@ -64,10 +73,13 @@
  .
  This package provides shared library, database files.
 
-Package: dcl-f77-dbg
+Package: libf77dcl5-dbg
 Architecture: any
 Section: debug
 Priority: extra
+Conflicts: dcl-f77-dbg (>= 5.4.0~)
+Replaces: dcl-f77-dbg (>= 5.4.0~)
+Provides: dcl-f77-dbg
 Depends: ${shlibs:Depends}, ${misc:Depends}, libf77dcl5 (= ${binary:Version})
 Suggests: gdb
 Description: GFD-DENNOU Club Library compiled by GNU Fortran compiler
@@ -87,7 +99,6 @@
 Architecture: all
 Section: graphics
 Depends: ${shlibs:Depends}, ${misc:Depends}, mawk
-Suggests: dcl-f77-docs
 Description: GFD-DENNOU Club Library compiled by GNU Fortran compiler
  GFD-DENNOU Club Library (DCL) is a package of graphic and mathematical
  libraries based on Fortran 77 developed by GFD-Dennou Club,
@@ -100,22 +111,3 @@
      etc.
  .
  This package provides post-processing scripts for output images.
-
-Package: dcl-f77-docs
-Architecture: all
-Section: doc
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Suggests: libf77dcl-dev, dcl-f77-utils
-Description: GFD-DENNOU Club Library compiled by GNU Fortran compiler
- GFD-DENNOU Club Library (DCL) is a package of graphic and mathematical
- libraries based on Fortran 77 developed by GFD-Dennou Club,
- see http://www.gfd-dennou.org/.
-  It contains following libraries.
-   * visualization libraries:
-     wide variety of 1D and 2D graphics and limited 3D graphics
-   * mathematical libraries
-     FFT, Ordinary differential equation solver, Spherical harmonics analysis
-     etc.
- .
- This package provides document and demo programs.
-

=== debian/watch ===
version=3
http://www.gfd-dennou.org/library/dcl/SIGEN.htm dcl-(\d[\d.]+)\.tar\.gz
